/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.gradle.plugins.baseline;

import com.liferay.gradle.plugins.baseline.internal.util.GradleUtil;

import org.gradle.api.Project;

/**
 * @author Andrea Di Giorgi
 */
public class BaselineConfigurationExtension {

	public BaselineConfigurationExtension(Project project) {
	}

	public String getLowestBaselineVersion() {
		return GradleUtil.toString(_lowestBaselineVersion);
	}

	public boolean isAllowMavenLocal() {
		return _allowMavenLocal;
	}

	public void setAllowMavenLocal(boolean allowMavenLocal) {
		_allowMavenLocal = allowMavenLocal;
	}

	public void setLowestBaselineVersion(Object lowestBaselineVersion) {
		_lowestBaselineVersion = lowestBaselineVersion;
	}

	private boolean _allowMavenLocal;
	private Object _lowestBaselineVersion = "1.0.0";

}